Loading...
Searching...
No Matches
casacore::MSPolnGram_global_functions_MSPolnGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSPolnGram.h>`

## Public Member Functions

int | msPolnGramParseCommand (const MeasurementSet *ms, const String &command, TableExprNode &node, Vector< Int > &selectedDDIDs, std::map< Int, Vector< Int > > &selectedPolnMap, std::map< Int, Vector< Vector< Int > > > &selectedSetupMap)
| The top level interface to the parser.
void | MSPolnGramerror (char *)
| The error handler.
const TableExprNode * | msPolnGramParseNode ()
| Give the table expression node.
void | msPolnGramParseDeleteNode ()
int & | msPolnGramPosition ()
| Give the current position in the string.

## Detailed Description

Global functions to drive the MSPolnParse class. These, for Polarization selection, need not be global functions, but are done this way to keep the interface uniform for the various selection expressions.

### Intended use:

Internal

### Synopsis

### Motivation

Definition at line 70 of file MSPolnGram.h.

## Member Function Documentation

## MSPolnGramerror()

void casacore::MSPolnGram_global_functions_MSPolnGramFunctions::MSPolnGramerror | ( | char * |  | ) |

The error handler.

It throws an exception with the current token.

## msPolnGramParseCommand()

int casacore::MSPolnGram_global_functions_MSPolnGramFunctions::msPolnGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | TableExprNode & | node,
|  | Vector< Int > & | selectedDDIDs,
|  | std::map< Int, Vector< Int > > & | selectedPolnMap,
|  | std::map< Int, Vector< Vector< Int > > > & | selectedSetupMap )

The top level interface to the parser.

## msPolnGramParseDeleteNode()

void casacore::MSPolnGram_global_functions_MSPolnGramFunctions::msPolnGramParseDeleteNode | ( |  | ) |

## msPolnGramParseNode()

const TableExprNode * casacore::MSPolnGram_global_functions_MSPolnGramFunctions::msPolnGramParseNode | ( |  | ) |

Give the table expression node.

## msPolnGramPosition()

int & casacore::MSPolnGram_global_functions_MSPolnGramFunctions::msPolnGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSPolnGram.h